About XnView

Welcome to XnView, the Universal Graphic Viewer and Converter!
With XnView you can quickly and easily view, process and convert image files. The universal program is able to read more than 400 different formats and then convert them to other formats such as GIF, BMP, JPG, PNG, multi page TIFF. XnView can also display video formats, many digital camera formats and more exotic formats such as Amiga IFF and Calamus.
The Image viewer (Browser) is similar to Windows Explorer. You simply navigate the directory structure as desired and any image files found in a directory are displayed in miniature (Thumbnails). This lets you keep an overview of the images available at the same time as letting you quickly view and select specific images. XnView can be run without installation and this makes it perfect to be used as a "photograph album on CD", especially as it is free of charge for private use.
As well as offering easy image viewing, XnView also offers more advanced features such as Web page creation, contact prints, multiple conversion (format and transformation), slide shows, screen capturing and Twain support for scanners and digital cameras. Numerous image filters and effects for image processing are available. The connection to other widely used professional graphic programs e.g.Adobe Photoshop, can be done using 'Drag and Drop', clipboard or 'Open With' Menu option.
XnView lets you create the optimal defaults according to your needs and preferences, thereby letting you work in the most efficient manner. The integrated file operations such as copying, moving, creation of directories and files makes XnView the universal tool for graphics.
An additional features is that XnView is available on many operating systems e.g. Windows ®, LINUX, HP/UX. In addition, to change its display (e.g. headings, text) to over 40 different languages, including English, French and German.
We hope you have a lot of fun (and success) working with XnView!
© 2003, 2004 Pierre E. Gougelet


Important Note

In XnView 1.74 there's various enhancements and new features, for example selections with defined ratio or exporting EXIF info as XML. Unfortunately, the development of XnView was faster than the documentation. This help document refers to XnView version 1.70, still, therefore descriptions may differ from the actual usage of the program.
Nevertheless, this help document provides valuable info and hints for your work with XnView. If there should be an inconsistency, it might be because of the up-to-dateness of this document. We apologize and ask you to keep this in mind when working with this help document.


XnView - Functional Overview

Overview of Functions

XnView offers a variety of functions to display and process images. Here is a list of the most important functions:

  • XnView can process a variety of picture formats. XnView can read over 400 different picture formats, for example: GIF, TIF, JPG, PNG, BMP, IFF, IMG, WMF, ICO, ...
  • The XnView Browser is similar to Windows Explorer. It lets you navigate the directory structure, displaying all pictures in the current directory in a miniature view (Thumbnail). Pictures can be 'double-clicked' opened.
  • Standard File Operations such as copying, moving and deletion of files can be performed whilst in the Browser.
  • XnView can display pictures in configurable Slide Shows. You can also display pictures directly from CDs (Self-Starting Slide-Shows from CD), creating an electronic photograph album.
  • Various Image Filters und Effects are available e.g. sharpness, glass effect, colour exchange etc.
  • Copy complete pictures or just parts of them to and from the Clipboard.
  • Open and exchange pictures with other applications using Drag & Drop.
  • XnView can convert a list of images from one format to another e.g. BMP to JPG using Multiple Image Convert. In addition, XnView can also during conversion, simultaneously apply one or more image filters and effects.
  • Increase or Decrease Picture Size as required.
  • Create Contact Sheets with miniatures of your pictures.
  • Retrieve and Display important Image Information such as size and colour density in a number of different ways.
  • XnView supports Scanners and Digital Cameras directly using the TWAIN protocol
  • XnView can create Web pages with pictures including Navigation and Preview.
  • XnView can play the most popular sound files such as "midi" (*.mid -- *.rmi) "Wave" (*.wav), or MP3 (*.mp3).
  • Rotate or Flip JPEG-Pictures in XnView with no loss of image.
  • Remove Red Eyes using the Red Eye Correction.
  • XnView can join images horizontally or vertically to create panorama images.
  • XnView is extremely flexible and allows a high degree of optimisation and default settings. This means it is easily tailored to individual needs and preferences.
  • XnView can together with Total Commander® be used as a File Administration tool.


XnView - The Main Window

Main Window

XnView operates in three different Modes: These are the Basic, Browser and View Mode. The current mode depends on, when there is no window, the Browser window or a window with a opened, active image. The mode decides which functions are available in the menus and displays the relevant symbol. Some buttons are available in all modes.

Basic/Default Mode

The following picture shows the Main Window that is displayed when XnView is started. This is the Basic/Default Mode, XnView is in this mode while the Browser is not opened and no Images are opened and active.

XnView im Grund-Modus

XnView is controlled using the menus and tool bar. (For quick access, the most common menu items are available using Control and Key combinations.

If you move the mouse pointer over a symbol in the tool bar, then a Tooltip is displayed. The Tooltip describes the function of the respective button and is displayed regardless of whether the function is available or not.

You can only use functions available in the current Mode. Symbols for functions which are not available are greyed out.

Browser Mode

Using the Menu Item File [image] Browser or the Symbol Symbol "Browser", you can open the XnView Browser and display the file directory hierarchy, list of files and preview of images in the current directory. For a more detailed description, go to the page Using The Browser.

XnView in Browser Mode

Image View Mode

The following image shows the main window with an open image in the image view mode. An Image can be opened using the Browser or Direct Opening.

XnView in Image View Mode

Useful information about the open image file is displayed in the status bar at the bottom of the main window. The number of frames is also displayed in the status bar.


XnView - The "File" Menu

The "File" Menu

The 'File' Menu contains options to view and/or open Images. These options range from opening images, opening previously used images, acquiring Images directly from Scanners. Please note that the options available vary depending on the XnView mode, these options are described in greater detail in the 'Using XnView' chapter.

  • The Select TWAIN source menu item lets you acquire images using a Twain driver. A dialog is displayed allowing you to choose the Twain Source. This is typically a Scanner or a Digital Camera.
  • The File menu automatically lists the last image files accessed. These can then be opened directly using the Mouse Pointer or by using a Key-Combination e.g. in the picture above, access the File Menu option using Alt+F, and then 3, this would open the image "C:\Image\Fractal\Quaten2.gif".


XnView - The "Edit" Menu

The "Edit" Menu

The Edit menu lets you perform File operations such as copy, move, delete and rename. These functions are also available as Key Combinations for example the key combination Ctrl+A selects all files in the current directory.

It might seem at first sight, that the Menu Items repeat themselves. But please bear in mind that the first group of options refer to the clip board whilst the options below to files e.g. copy, move and delete files.

  • Undo = Undo the last changes made.
  • Cut = Remove the selected area of the image.
  • Copy = Copy the selected area of the image to the clipboard.
  • Paste = Copy the contents of the clipboard into the current image. If you have selected an area of the image, then the clipboard contents are copied into this area. Otherwise the contents are inserted in the left upper corner of the image.
  • Clear = Clear or Remove the current selected area of the image.
  • Crop = Remove unwanted parts of the image (typically from the margin of the image)
  • Import Clipboard = Import the current contents of the clipboard as a new image.
  • Select All = Select all Images or Files in the current Directory
  • Select None = Cancel the current Selection
  • Copy To... = Copy file(s) to another directory
  • Move To... = Move file(s) to another directory
  • Delete... = Delete the current image file(s).
  • Rename... = Rename the current Image File
  • Describe... = Allows the input of a text description for the current image. If an image is open then the description is displayed in the status bar. Please note that you can search for key words in descriptions using the Tools [image] Search... option.
  • Properties... = Display the properties of the current file or image e.g. image information such as EXIF- and IPTC-Data.
  • Edit IPTC Data... Lets you edit IPTC data of JPG files. More information on this can be found on the web at External Link Information on IPTC Details

Tips:

The behaviour of certain keys board and move options can be changed by accessing the Tools [image] Options... Keyboard/Mouse option.


XnView - The "Image" Menu

The "Image" Menu

The menu image above represents all the menu items available in the menu Image. These menu item are only displayed when an image is opened. The menu items are grouped into functional areas e.g. colours, density, size, etc:

  • Count colours Used - count the number of colours used in the current image.
  • Convert To Binary, Convert To Grey, Convert To colours and True colour - change colour Depth
  • Map - change the image colours by using various image special effects e.g. Solarize.
  • Adjust - change the image using Contrast, Lightness, Gamma Saturation, colour Balance and many others.
  • Flip - flip the image along its Horizontal or Vertical axis
  • Rotate - rotate the image right, left, 180 degrees or user defined
  • Swap - swap the 3 basic colours Red, Green and Blue.
    e.g. Red Green Blue (RGB) to Green Blue Red.
  • Resize - change the size of the canvas and the picture information. The picture information is converted to the new size.
  • Canvas - change the size of the Canvas but retain the old picture size.
  • Automatic Crop - allows the automatic removal of superfluous image margin within the desired colour and tolerance.
  • Set DPI - adjust the image resolution (Dots per inch)
  • Add Text - insert text to the image
  • Red Eye Correction - remove 'red eyes' created by flashlights.
  • Edit colour map - displays the colour palette of the image figure and allows you to adjust the transparent colours.

Tip:

Digital Camera Photos are true colours figures (RGB) and do not have a colour palette. However, if you want to use a colour palette on an RGB image, this can be done using the menu item Image [image] Convert To colour. The converted images will then have a colour palette.


XnView - The "Filter" Menu

The "Filter" Menu

The menu item Filter is only available, if you have opened an image file. It contains several sub menus, the Effects submenu is open in the above image. The sub menus are:

  • Blur
  • Enhance
  • Edge
  • Noise
  • Misc
  • Effects

With the help of colour adjustments and filters you can change images in whatever way you like. You can improve the sharpness, contrast, and brightness of your images or change them using effects such as "Swirl". You will find below examples using the Misc and Effects sub menus. The heading of each image indicates which effect is being used.

Filter Misc

Original | Sharpen | Emboss | Emboss More | Maximum
Minimum | Median Box | Median Cross | De Interlace | User Filter

Filter Effects

Original | Slice | Shear | Spread | Swirl
Tile | Mosaic | Oil Painting | Lens | Waves

Tip:

All effects, filter, and adjustments can be applied not only to the complete image but also to parts. Select the desired area before applying the effect, filter, or other adjustments.


XnView - The "View" Menu

The "View" Menu

The Menu option View lets you adjust the display of the image.

  • Full Screen - Display the current image so it fills the screen. No other windows or images are displayed.
  • Auto Image Size - Automatically fit the image to the selected canvas or window size.
  • Zoom+ - 'Zoom in' into the figure and expand it by a factor of 2.
  • Zoom- - 'Zoom out' from the figure and reduce it by a factor of 2.
  • Lock Zoom - This freezes the current zoom factor. The zoom factor will not change when navigating to another image.
  • Zoom sub menu - You can set the Zoom factor to a specific value. Values range from 7% to 1600%
  • File - Lets you navigate from image to image in the current directory.
  • Page Lets you navigate between pages (=frames) of a multi-page image or extract the pages into individual images.
  • With the Video option you can play all or part of a video or create and play a loop that can be repeated as many times as required.
  • Show Mask - Lets you display (or remove) the images mask information (alpha canal).
  • Combine Alpha - ???
  • Show Grid - Lets you superimpose a grid on the image.
  • Stop Animation - Lets you stop the current image animation. You can then use the Previous Frame/Next Frame buttons in the tool bar to navigate the animation.
  • Tool Bar - Display or hide the tool bar.
  • Status Bar - Display or hide the status bar.
  • Display colour Information - Display the colour of the image at the position of the mouse pointer. The mouse pointer changes to a pipette and displays the current X/Y position, the colour value as a RGB value and in hexadecimal representation (for web design with HTML). For images with a colour palette like e.g. GIF, the colour index is displayed.

    Please note that after closing the current image or navigating to another image the "Display colour Information" mode is still active. When necessary, deactivate the option by selecting the menu item, again.

XnView in "Display colour Information" mode

Displaying colour information


XnView - The "Tools" Menu

The "Tools" Menu

The Tools menu is available in all XnView modes.

Depending on the mode the menu items vary a little bit. Below, the menu items available in Image mode are described briefly (Detailed descriptions can be found in the section "Using XnView" of this help document).

  • Search.. - lets you search for specific images including searches with placeholders (wildcards). You can restrict your search with additional criterias like file size, date modified, and image format. In case you have assigned image descriptions to parts or all your images, you can search for images containing specific text in their description.
  • Capture - capture an image of the current screen (snapshot).
  • Slide Show - create a standalone Slide Show using images on your computer.
  • Multi Convert lets you convert multiple images at once. With Multiple Convert you can convert the image format, but also apply any of the functions that can be applied manually.
  • Sequence Convert - is very similar to multi convert, here the files containing a specific sequence number in their filename are converted.
  • Create Multi-Page... - create an image file which contains several images (Page, Frames).
  • Create Panorama - combine several image files together horizontally or vertically to create a panorama image.
  • JPEG Lossless Transformations... - use JPG Lossless Transformations to rotate, or mirror images with no loss in image quality.
  • Extract movie frames... - Extract the frames of a movie into image files.
  • Shell - Open the current image file with the associated application.
  • Set As Wallpaper - use the current image as the Wallpaper for your Desktop.
  • Options - change the settings of XnView.


XnView - The "Window" Menu

The "Window" Menu

The Window menu is the conventional menu from MS Windows ® and affect the windows opened in the XnView main window:

  • Tile - The windows opened are arranged side by side.
  • Cascade - The windows opened are arranged with some offset and overlapping each other.
  • Arrange - Arrange the symbols in the XnView window, i.e. the minimised windows.
  • Minimize All - All windows are minimised and shown on the lower part of the main window as symbols.
  • Restore All - Minimised windows are restored to their original size.
  • List of currently open windows. This can be used to go directly to a specific window.
  • The menu items at the bottom are the windows currently opened. By selecting one of these menu items you can directly switch to the appropriate window.


XnView - The "Info" Menu

The "Info" Menu

The Info menu has the following items:

  • Help - display this Online Help.
  • Available Formats... shows a list of all supported image formats. This also shows whether XnView can read or read and write formats, since XnView does not support writing all of the image formats.
  • PlugIns Information... - list the installed Plug-Ins for XnView.
  • Command line help... - when starting XnView using the command line or from other applications these options can be used.
  • Visit XnView's Web Site... - takes you directly to XnView web site. Here you can for example, subscribe to the XnView Newsletter or download the most current version of XnView.
  • Visit XnView's Newsgroup... - takes you directly to the XnView Newsgroup. Here you will ask questions and find answers about using XnView.
  • Licence agreement - displays the licence terms and legal requirements of XnView.
  • Under Registration you enter the licence key, received after purchasing a licence.
  • ReadMe - display the XnView ReadMe file.
  • What's New - new features and bug fixes in this version.
  • Thanks - a thank you from the author to the translators and testers of XnView.
  • And the famous information dialog: About... with version information of the program and more...

Command Line Options for XnView:

Command Line Options Help


XnView - Using The Browser

Using The Browser

The XnView Browser is very similar to the Windows Explorer ®. The Browser window consists of three parts, also named panes:
  • The tree view of directories (folders) on the left
  • The image files in the current directory on the right.
  • A preview of the selected image at the bottom

You can open or select the Browser using the Menu Item File [image] Browser or the Browser Symbol button in the tool bar. The Browser window can only be opened once (i.e. you cannot have multiple Browser windows)

The Browser opens in the last directory opened. You can change drives or directories by clicking in the directory tree on the left. When a directory has a small plus on the left, this means it has a sub-directory which can be opened by clicking on the plus symbol or double clicking on the directory symbol.

The current or selected directory is highlighted (normally in blue or grey) and any image files in this directory are displayed as thumbnails in the right pane of the browser window. You can perform the following actions with an image file:

  • An image is selected by a mouse click. In the lower pane of browser, the preview is displayed. In the status bar the most important information about the image is displayed.
  • An Image is opened by a double click.
  • If the mouse pointer stays over an thumbnail (file), then a tooltip is displayed with image information e.g. colour density, size.
  • Double clicking on non images files will open them with their associated program, e.g. double clicking a Microsoft Word file will open the document using Word in a new window.
  • By Dragging & Dropping an image onto another application like Microsoft Word it can be edited in that application.
  • Clicking the right mouse button will open a context menu with functions which will be performed on the current selection.

The size of the three browser panes (Directory Tree, list of files, preview) adjusts to the to the size of the Browser window. You can also manually change the size of each pane.

How To Change the Size of the Browser panes:

  1. Move the mouse pointer on the grey separating line between two panes. The mouse pointer changes to a Mouse Change Vertical Axis or Mouse Change Horizontal Axis depending on the line chosen.
  2. The separating line can then be dragged and changed as required by simultaneously keeping the left mouse button pressed and moving the mouse.
How To change the Display Type of Image Files:

The Menu option View [image] View As [image] or the Symbol [image] in the Tool bar lets you change between different display styles for the image files:

  1. Thumbnails - Images are displayed in miniature or thumbnails. This option is suitable in most cases. The size of the thumbnails can be changed as required by using the optionView [image] Thumbnails Size [image]....
  2. Icons - Files are displayed as large symbols.
  3. Details - Files are displayed as lists displaying names, size and other file information.
  4. List - Only the file names of the files are displayed in a list, which is made up of several columns. This view is displayed very quickly, since the file information, but not the image data is read.

You can change the browser to your own preferences by adjusting the layout, sorting the images, layout and visibility of the panes and column visibility etc, by changing the browser settings using the Menu View.


XnView - Image Direct Opening

Image Direct Opening

The XnView Browser lets you display and open images using the file directory tree. You can however, open a particular image directly without using the browser.

How To Open An Image File Directly:

  1. Choose the Menu option File [image] Open... or the Symbol "File Open" symbol in the toolbar. The following dialog is opened:

    Dialog "File Open"

  2. If you want to see a preview of the selected file, check the Show preview checkbox. You can use the Options button to change the settings used when opening the image file.


XnView - Displaying Image Information

Displaying Image Information

It is very important in say web design, to know image size and other properties. The Browser lets you display this information in a number of ways:

How To Display Image Information in the Browser Status Bar:

  • Select an image in the XnView Browser using a mouse-click. The image's file size and colour depth is displayed in the status bar e.g. an image with a height of 200 pixels, a width of 320 pixels and a colour depth of 24 bits is displayed as "320x200x24" .

How To Display Image Information in the Browser as Tooltip:

  • Rest the mouse pointer over the image, and then after a short time the tooltip is displayed with information such as image size, colour depth, and so on.

How To Display File and Image Information Using the Properties dialog:

  1. Select an Image in the Browser with a mouse click.
  2. Open the context menu using the right mouse button and select the menu item Properties , or use the key combination Ctrl+E. The dialog Properties is displayed with various information on the image.
  3. The Esc key or Cancel button closes the dialog.

If you are in Image View mode, you can also use the above steps to display image information.


XnView - Image Coordinates

Image Coordinates

It is often important to know the exact size and coordinates of an Image, e.g. for some image functions such as cut out or clear. Image coordinates always start in the upper left corner with 0,0.

An example, where the coordinate values are clarified:
Example: Coordinate System in XnView

How To Display Coordinates in the Status Bar:

  1. Open an image.
  2. Push the left mouse button and then with the button pressed down, move the mouse pointer. This will select an area of the image.
  3. During this selecting of an area, the X/Y coordinates and the size of the selected area are displayed in the Status Bar in the Form "X Y (Width x Height)".

Alternatively, the coordinates are also displayed when the Colour information mode is activated. Please use the menu option View [image] Display colour Information.


XnView - Image Resizing (Increasing/Reducing)

Image Resizing (Increasing/Reducing)

If you want to increase or reduce an image and its content, then open the image and then perform the size adjustment.

How To Increase or Reduce the Size of an Image:

  1. Open the image file.
  2. Choose the Menu item Image [image] Resize.
  3. In the Resize dialog, give the desired new size; in percentage or number of pixels.

    If you change one dimension value, e.g. height, the other dimensions are changed to keep the current relationship. This will stop the image becoming distorted. If you want to change this relationship and want to distort the image, then first uncheck the Keep ratio checkbox. You can change width and height, independently, now.

    If you only want to change the size of the image (canvas), and not the image's content, then use the menu item Image [image] Canvas Size.


XnView - JPG Lossless Transformations

JPG Lossless Transformations

It is possible to change images with the various images effects and conversions in XnView, however a little image information is lost with every calculation e.g. you may have 14 degrees in one direction and 14 degrees in another, this information will not be same after a horizontal flip. The difference is small and hardly visible, but exists nevertheless.

The JPG format allows a special kind of conversion: Loss-less conversions i.e. no image information is lost. JPG files can be rotated and flipped without losing any image information. This is particularly useful with images from digital cameras or scanners where the orientation of the image frequently needs to be changed (portrait to landscape and vice versa).

Please note that unlike other conversions where effects are executed in working memory, JPEG loss-less conversions are applied immediately to the image file.

How To Rotate or Flip a JPG Image Using Lossless Transformation:

  1. Open an image file
  2. Choose the Menu Option Tools [image] JPEG Lossless Transformations.... The dialog JPEG Lossless Transformations dialog is displayed:

    JPEG Lossless Transformations

    In this dialog, you can now select the required JPEG lossless transformation i.e. horizontal or vertical flip, rotate left or right etc.
  3. Apply the transformation by pressing the Go button

XnView transforms the image and then displays it.

If you want to convert several images at once using JPEG lossless transformations, then please follow the steps below:

How To Reflect or Rotate Several JPEG Images At Once Using Lossless Transformation:

  1. Open the browser
  2. Select all the jpeg images you want to transform.
  3. Choose the menu item Tools [image] JPEG Lossless Transformations.... The JPEG Lossless Transformations dialog (See Above) is displayed.
  4. In this dialog, you can now select the required JPEG lossless transformation i.e. horizontal or vertical flip, rotate left or right, etc.
  5. Apply the transformation to all the selected JPEG images by pressing the Go button

XnView then performs the transformations on the selected JPEG images, one after another in the order they are selected.


XnView - Red Eye Correction

Red Eye Correction

Using Digital Camera does not mean you escape from the well-known Red-Eye problem caused by flashlights. However Images can be processed afterwards and the unwanted and unsightly Red Eyes removed.

How To Remove Red Eyes From Images:

  1. Open the image in XnView.
  2. Select the area of the image, where you would like to correct the Red Eye Effect.
  3. Choose the menu item Image [image] Red Eyes Correction. XnView changes all red pixel to gray.

Repeat these steps until all occurrences of Red Eye are removed.

Tip:

If when correcting the red eyes, other image parts are changed (e.g. red lips), then undo the last modification and select a smaller area which better covers the eyes only.


XnView - Creating Contact Sheets

Creating Contact Sheets

The function Creating Contact Sheet... works similar to Create Web Page... and will create as a new image containing the thumbnails. The contact sheet can be edited and saved as required.

Here is an example of a Contact Sheet:

XnView - Create Contact Sheet

How To Create a Contact Sheet of your Images:
  1. Open the XnView Browser.
  2. Go to the directory containing the image files.
  3. Select the images you want to create a contact sheet for.
  4. Select the menu item Tools [image] Create Contact Sheet... or the symbol Symbol "Create Contact Sheet". The Create Contact Sheet dialog is displayed:

    Dialog "Create Contact Sheet"

  5. In the Create Contact Sheet dialog, input the desired size and margin (in pixel) in the Dimensions panel.
  6. Create the contact sheet by pressing the Create button. The contact sheet is displayed by XnView and you now can save the Contact Sheet using the menu item File [image] Save or the symbol Symbol "File Save".

Tips:

  • If you are not happy with the contact sheet created, repeat the above steps with other input values. E.g. if the thumbnails on the contact sheet are too small, you increase the dimension or you reduce the number of columns and rows.
  • It makes sense to use your screen's resolution as dimensions. Typical sizes are 800x600 or 1024x768 pixels.
  • The default image format for contact sheets is BMP, which creates very large image files. For this reason select another format, e.g. JPG or GIF.


XnView - Create Panorama Images

Create Panorama Images

In XnView, the term "panorama images" is used for images joined horizontally or vertically. Panorama images in the sense of panorama views, that is views that are created from several photographs at the same position and in different directions, are not discussed here and are not supported by XnView.

For creating panorama images, the image may have completely different contents, since the image are just joined to a large image.

Here is a panorama image created of five images:

Panorama Image with 5 Images of Flowers

How To Create a Panorama Image:

  1. Choose the menu item Tools [image] Create Panorama....
  2. In the Create a panorama image dialog, add the images using the Add button. The selected files appear in the File List. You can change the order in which the images appear in the panorama image using the Move Up and Move Down buttons.
  3. Choose whether to have a horizontal (next to each other) or a Vertical (Under each other) panorama image, using the Horizontal adjustment and Vertical adjustment options in the Options sub-window.
  4. Images often have different dimensions, use the Alignment option to set the alignment of the images in the panorama image.
  5. Create the panorama image by pressing the Create button.

XnView creates and displays the panorama image. If the original images have different height, or width, respectively, it is recommended to cut the panorama image.


XnView - Multiple Image Convert

Multiple Image Convert

A very popular and helpful function is the conversion of multiple images. To convert several images you specify which images you want to convert and choose the effects, filters, and actions which are applied to every image during conversion.

How To Convert Multiple Images:

  1. Choose the menu item Tools [image] Convert.... The following Multiple File Convert dialog is displayed:

    Dialog "Multiple File Convert"

  2. A list of the images to convert is displayed in the Input panel. Initially the list is empty.
  3. Use the Add, Add Folder, Remove, and Remove All buttons to create a list of image files to convert.
  4. When the Add Button is pressed the Choose Files dialog is displayed:

    Dialog "Choose Files"

  5. In the above dialog, you can choose one or more files which will be included in the list of image files to be converted.
    Use the Ctrl key and mouse click to select multiple files.
  6. Finally confirm your selection with the OK button. This can be repeated until you finally have the list you want.
  7. While converting, not only the format of the images can be changed, but image effects, filters, and transformations can be applied. If you only want to change the image format, do not do any of the following steps and use no advanced commands:
    1. Choose the Advanced Operations button. The following dialog is displayed:

      The Advanced Operations dialog displays all the image effects, filters, and transformations available in XnView on the left hand side.
    2. Select the required image operation(s) to be applied to each of the images on conversion. If an operation has parameters to be set, then the Parameters frame with controls is displayed below the selected operations on the right hand side of the dialog.
      The image operations will be applied in the order of the list, from top to bottom.
    3. Confirm your selections using the OK button.

  8. Select the image format that the images should be saved in. If the original image format is not the same as the final one, then a conversion is performed.
  9. Input the target directory for the converted images. This can be directly or by using the ... button. If the converted images are to be created in the same directory as the original images then leave the directory field blank.
  10. If you want to delete the original image file(s) after conversion, use the check box Delete original.
  11. If XnView cannot open or read an image file, you can decide whether to ignore such read errors (Suppress read errors ) and continue to convert the other files.
  12. Start the conversion process by selecting the Go button. Depending on the output format, a last dialog may be displayed where you can define the colour mode of the converted images more exactly:

    Save as - Number of colours

  13. Select the desired option and check boxes.
  14. Start the conversion by selecting the OK button.
  15. Once the conversion is finished, you exit the Multiple file convert dialog by selecting the Cancel button.

Tips:

Select all image files which you want to convert in the Browser.
Select the Menu option Tools [image] Convert... or the Symbol Symbol Convert; in the toolbar. The Multiple File Convert dialog is displayed with the selected images already in the list of files.

Hints:

  • Web designers please check the Hints About HTML Image Maps chapter.


XnView - Slide Shows - Create and Display

Slide Shows - Create and Display

A Free Slide Show on your PC!
Select the Images you want in a slide show, run a menu option and your slide show is ready.
  1. Choose the Menu option Tools [image] Slide Shows.... The Slide Show dialog is displayed:

    Dialog "Slide Show"

    The dialog consists of two panels, above the File List, the list of images to be included in the slide show, and below the Options, which control the display options.
  2. Press the Add...button to add files to the list. The dialog Choose files is displayed:

    Dialog "Choose files"

  3. In the Choose files dialog you can select one or more image files to be included in the slide show. Use the Ctrl key and Mouse button to select several files.
  4. Selected files are then added to the file list by pressing the Add button.
  5. Confirm your choice with the OK button. These image files are now shown in the file list. Repeat these steps until you have all the image files you want.
  6. The default display order in XnView is to show images in the same as the file list, from top to bottom. This can be changed as required by using the Move Up and Move Down buttons until you have the order you want.
  7. Using the options in the Slide Show dialog and the general options which can be displayed using the Options buttons, you can fine-tune the slide show and for example set duration, full-screen mode, and display or hide the name of the image files.
  8. Start the Slide show by pressing the Go button. The slide show is then displayed (The default option is Full Screen mode).
  9. If you have set the transition to "Use Keyboard Press our Mouse click", you can navigate using the mouse buttons or the keyboard. The right mouse button displays the next picture, the left mouse button displays then previous. The arrows keys can also be used to navigate through the slide show.
You can quit the slide show by pressing the Esc key. The Slide Show dialog is displayed, again. You can now add or remove images as required and then run the slide show as many times as you like. You exit the Slide show dialog by pressing the Cancel key.
You can save the slide show by pressing the Save button and later load it again using the Open button. The list of image files and the current slide show options are saved.

Tips:

You can select image file(s) in the Browser. Then choose the menu item Tools [image] Slide Show... or the symbol Symbol Slide Show. The dialog Slide Show is displayed with the selected files already included in the File List.


XnView - Self Starting Slide Shows on CD

Self Starting Slide Shows on CD

The chapter Slide Shows - Create and Display describes how to create and display slide shows. However a much more elegant and attractive option would be to have Slides Shows which are stored on CD, and which start automatically (without installing XnView) when the CD is put into a PC. Here a slide show becomes an electronic photograph album which can be sent to friends and family.

The CD will include the image files, the slide show file, the XnView program and an additional file "autorun.inf". You will gather these contents step-by-step. Please follow the steps below.

  1. First, you have to gather all the image files that you want to use in the slide show and burn on CD. For this, you create a temporary directory e.g. temp_slideshow_dir, on your PC using windows Explorer or XnView the Browser (Click on Symbol New Folder symbol in the toolbar).
  2. Next step is to select and process the images. CD's have a capacity of about 700 MB, unless you want to save many images on CD, that means more than 200 images, you do not have to care for file size. Also the images' dimension (Width and height) does not matter too much, since XnView fits the images to the monitor's resolution - given that the appropriate option has been set. Since monitor resolutions get higher and higher and your slide show should still look nice in a couple of years, we recommend using the JPG image format with a 1600 x 1200 pixel resolution. You can resize an image by opening the image in XnView and then select the menu Image [image] Resize image. For multiple images you use the Batch conversion. Naturally, you do not enlarge smaller images. When enlarging, no new details appear and XnView can do the enlargement when setting the appropriate option, automatically.
    Select the images for your slide show. Copy them to the temporary directory created in the first step. Use either the Windows Explorer or the XnView Browser (Edit [image] Copy to.... The Copy dialog is displayed.

    Dialog "Copy To"

    Input the target directory (e.g. temp_slideshow_dir) in the Copy dialog. This can be typed in directly or by using the ... button. XnView remembers the target directory the next time the Copy dialog is opened and lists it in the drop down list. Collect all image files in the temporary directory.
  3. Once all the images are collected in the temporary directory, creating the slide show is straight forward (described in detail in the Slide Shows - Create and Display chapter).
  4. Choose the Menu option Tools [image] Slide Show.... The Slide Show dialog is displayed.
  5. In the Slide Show dialog, choose the button More Options.... The Options dialog is displayed, with the general slide show options.
  6. Change the slide show options as required. The slide show should run independently of any paths and drives, therefore check the Save Relative Paths in SLD file check box.
  7. Confirm your settings by pressing the OK button.
  8. In the Slide Show dialog, choose the Add Folder... option and select the temporary directory created earlier. After confirming this directory, all the image files previously copied will be displayed in the File List.
  9. Change the display order and/or slide show options as required. Changes can be tested using the Go button.
  10. When you are satisfied with the selection, options and display order, save the slide show using Save.... The Save Picture dialog is displayed.

    Dialog "Save Picture"

    Save the slide show in the temporary directory previously created using a meaningful name e.g. "Holidays Crete 2003". You do not need to specify a file extension, the extension *.sld is added automatically by XnView.
  11. You have now gathered the images and created the slide show, there are two things left. The slide show should work on any PC, regardless of whether XnView is installed already or not. For this reason, on the CD you save a version of XnView which can be directly started from CD. If you have not already done so, download the ZIP archive of XnView from the web, the minimal version is sufficient. Unzip the ZIP-archive to the directory "temp_slideshow_dir". When unpacking the ZIP-archive, the sub-directory called "XnView" is created automatically during unzipping.
  12. Finally the file "autorun.inf" must be created. Whenever inserting a CD, the system searches the CD for this file and if it exists, it executes the commands contained. The file "autorun.inf" is a text file, which you can create using "Notepad". Start the editor by selecting the windows menu Start [image] Programs [image] Accessories [image] Notepad. Notepad opens an empty text document. Enter the lines below:
    [autorun]
open=.\xnview\xnview.exe -slide "Holidays Crete 2003.sld"
    Save the text file as "autorun.inf" in the temporary directory previously created.
  13. Now you have gathered all the files and you can burn all the files to a CD. In case it's your first image CD with XnView, we recommend to use a rewritable CD and then check the slide-show. Insert the CD into your PC and if everything went o.k., the slide show will start automatically.


XnView - Creating HTML Pages with Images

Creating HTML Pages with Images

With XnView, you can easily create a web page of your image collections. The created web page will have one or multiple main pages with thumbnails of your images, within the user can navigate. By clicking on a specific thumbnail, the appropriate image is displayed.

Here is a sample Web page:

Example Web page Built Using XnView

How To Create a Web page with Images:
  1. Open the XnView Browser.
  2. Go to the directory containing the image files.
  3. Select the images you want to create a Web page from.
  4. Choose the Menu Option Tools [image] Web Page... or the Symbol Symbol Web Page in the toolbar. The dialog Web page Create is displayed:

    Dialog "Web page Create"

  5. In the Web page Create dialog, enter the title of the web page in the Title field.
  6. The thumbnails will be displayed in table form. In the panel "Table" you can define the number of columns or lines of thumbnails per page. In addition, you can define the margin width of the table in pixels.
  7. In the panel "Thumbnail size" you can change Thumbnail Size as well as the output format of the thumbnails. The original images are always copied 1:1, i.e. without any conversion. If needed, convert the images before creating the web page.
  8. In the panel Information displayed you define the information displayed, e.g. file name, file size, etc...
  9. In case you want to sort your images, you can define a Sorted by criteria. This can be file Name, extension type, and many more.

  10. In the Output panel you define an output directory for the web page(s) and the thumbnails in the Directory field.

    You can decide whether to copy the original files 1:1 to the output directory by checking the Copy source images to output folder check box. Check or uncheck this option if needed.

    You can also choose to automatically display the built web page by selecting the Launch web browser when done.

  11. Create the web page by pressing the Create.
XnView creates the web page with the images selected by you in the Output directory.


XnView - Displaying Icons

Displaying Icons

  • XnView can display all *.ICO files which conform the icon format of Windows®. In some cases, icons are displayed as a black block. This is no bug of XnView, the reason is that the icon file contains two or more icons. In this case, look in the toolbar and there will be two new buttons, namely Previous Frame/Next Frame. In addition, the number of the current frame and the number of frames appear in the status bar. Use the buttons in the tool bar to display the icons which are contained in the icon file. The icons with 256 colours created with the software Ax-Icons ® of the company External Link Axialis™ have two frames.
  • Icons which do not follow the Windows icon format are shown as black in XnView. Sometimes these icons can be displayed using the file manager Total Commander® .

Here is an example of an Icon with 3 frames, the second frame is currently displayed:

Icon File with 3 Framces


XnView - Open Icon Libraries and Files with Several Icons

Open Icon Libraries and Files with Several Icons

Windows 9x:
XnView can display icons which are contained in icon libraries (*.ICL) and the files of the types *.DLL, *.EXE, *.OCX and *.CPL. The icon libraries are handled like multi page images. To display you open the respective file as normal. XnView opens the icon library and displays the first image. You change between the frames of the icon library or file with the buttons of Previous Frame/Next Frame.
Please note that in the status bar, the file size displayed is for the complete file, and not that of the currently displayed frame.


XnView - Installation

Installation

Installation of XnView can be done in two different ways. Using the Setup program or ZIP archive. We recommend using the Setup program as this is simple to use and allows for easy installation and deinstallation. Installation using the ZIP archive can also be done but is not described here.
If XnView is not installed already on your computer, please proceed as described below.

Installation of XnView using the Setup Program:

  1. Download the XnView setup program from the internet to a temporary directory on your PC. You will find the current version of XnView on External Link XnView Website.
  2. Start the XnView setup program by double-clicking on the file in MS Explorer.
  3. Follow the on-screen instructions of the setup program.


XnView - Update

Update

XnView is constantly being improved and refined. New versions of XnView are free of charge for private users. If you have purchased licences as private or commercial user, you are also entitled to download new versions of XnView without additional licence fees.

If you already installed a version of XnView, and you want to replace this version with a new one, then you perform an update. Otherwise, if this is your first installation, see Installation.

Update requires you the deinstall the old version and then install the new in the same directory. Please note that your personal settings and bookmarks in XnView are not lost during update.

How To Update XnView:

  1. Download the new version from the External Link XnView Download Site. There are various versions available for download differing in size. Typically, the minimal version (without any additional languages, and without plug-ins) is sufficient.
  2. Deinstall/Uninstall XnView using the windows menu Start [image] Program [image] XnView [image] XnView Uninstall
  3. Confirm the message box asking for confirmation for the deinstallation by clicking the OK button. The program files, directories and registry entries of XnView are removed from your computer.
  4. Start the XnView setup program by double-clicking on the downloaded file.
  5. Follow the instructions of the setup program. During setup, you will be informed that the program directory already exists. Confirm this message box with Yes.


XnView - Uninstall

Uninstall

If you want to Uninstall the XnView program then please do the following steps.

How To Uninstall XnView after it has been installed using the Setup Program:

  1. Select the Windows menu Start [image] Program [image] XnView [image] XnView Uninstall
  2. A message box will be displayed. If you want to continue uninstalling XnView choose Yes.
  3. XnView program files, directories and Registry entries on your computer are removed.
  4. Some configuration files may need to be deleted manually (xnview.ini and bookmark.ini) after the deinstallation is finished.

How To Uninstall XnView after it has been installed using the Zip Archive:

  1. Delete the XnView Program directory and the files contained.
  2. Delete the file "xnview.ini" in the Windows directory (e.g. C:\Windows).
  3. If you have created any, delete any links or symbols to XnView in the Program Group.


XnView - Licence Agreement

Licence Agreement

You agree to the installation and use of this software (XnView, Nview, Nconvert and View2) in accordance with this licence agreement and its terms below:
  1. The program XnView by the author Pierre Gougelet is copyright protected.
  2. XnView is Free of charge or Freeware for Private Users. Commercial users must have a valid licence. Further information and prices can be found at External Link Information and Current Prices
  3. The author accepts no liability for damages which result from the use or improper use of the product, e.g. data loss, damages or losses of any kind.
  4. It is not allowed to amend, translate, de-compile or reverse-engineer XnView or any part therefore.
  5. You accept and agree to the Copyright, Patents and Use of Conditions of every Manufacturer and Developer, whose programs and algorithms are used in XnView for the writing of graphic information.


XnView - Copyright

Copyright

LibJPEG 6b - http://www.ijg.org
Copyright (c) 1991-1998, Thomas G. Lane. All Rights Reserved.
PNGLib 1.2.5 - http://www.libpng.org/pub/png/
Copyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc. - libpng-Versions 0.5 (May 1995) bis 0.89c (May 1996)
Copyright (c) 1996, 1997 Andreas Dilger - libpng-Versions 0.90 (December 1996) - 0.96 (May 1997)
Copyright (c) 1998, 1999 Glenn Randers-Pehrson - libpng-Versions 0.97 (January 1998) - 1.0.5 (15. October 1999)
Zlib 1.2.1 - http://www.gzip.org/zlib/
Copyright (c) 1995-1998 Jean-loup Gailly und Mark Adler
JIF -
Copyright (c) Jeff Tupper
GIF/TIFF (LZW) - http://www.unisys.com
Copyright (c) Unisys GmbH
If you read or write images in the GIF or TIFF format, you must acquire a licence from Unisys(Patented).
LuraWave, LuraDocument, LuraWave.jp2 & LuraDocument.jpm - http://www.luratech.com
Copyright (c) LuraTech GmbH
All images are compressed by Lurawave-Plug-in in XnView, are for private use only. Commerical use requires a licence from LuraTech GmbH. You must accept these licence terms to use Lurawave-Plug in the reading or writing of images in XnView.
JBIG - http://www.ibm.com und http://www.jpeg.org/
Copyright (c) IBM, Inc.
If you use images in the JBIG format, you must obtain a licence. JBIG is a patented format.
ECW-Compression - http://www.ermapper.com/
Copyright (c) Earth Resource Mapping Ltd
J Wavelet Image Codec
The implementation of J Wavelet Image Codev is based on the work of Sasha Chukov
BMF -
Copyright (c) 1999 Dmitry Shkarin
CompW - http://www.paralelo.com.br
Copyright (c) 1998, Paralelo Computação Ltda.
JasPer - http://www.ece.ubc.ca/~mdadams/jasper/
Copyright (c) 1999-2000, Image Power, Inc. and the University of British Columbia, Canada.
Copyright (c) 2001 Michael David Adams.
IWC - http://www.wavelsoftware.com
Copyright (c) 2001 WaveL Software
LIBMNG - http://www.libmng.com
Copyright (c) 2000, 2001 Gerard Juyn
net.CyberCards - http://www.nextvision.pt/
Copyright (c) Isomeris
PWC -
Copyright (c) Paul Ausbeck
Whypic -
Copyright (c) Osamu YAMAJI
MrSid - http://www.lizardtech.com/
Copyright (c) 1999, LizardTech, Inc
DjVu - http://www.lizardtech.com/
Copyright (c) 1999, LizardTech, Inc
FIF -
Copyright (c) Iterated Systems, Inc
Copyright (c) Altamira Group
Copyright (c) LizardTech, Inc
PCDlib32.dll - DC120.dll
Copyright (c) Eastman Kodak Company
cpa.dll -
Copyright (c) Prisms


XnView - Supported File Formats

Supported File Formats

Format | Name | Extension | Compression | Remarks
[adex] | Adex | img rle |  |
[aim] | AIM Grey Scale | ima |  |
[arf] | ARF | arf |  |
[att] | AT&T Group 4 | att |  |
[acc] | Access | g4 |  |
[aces] | Aces200 | ace |  |
[acorn] | Acorn Sprite |  |  |
[ai] | Adobe Illustrator | ai |  | Ghostscript Required. available below http://www.cs.wisc.edu/~ghost/
[aphp] | Adobe PhotoParade | PhP |  |
[psd] | Adobe Photoshop Document | psd |  |
[ocp] | Advanced Art Studio | ocp |  |
[anv] | AirNav | nav |  |
[alias] | Alias Image | pix als alias |  |
[abmp] | Alpha Microsystem BMP | bmp |  |
[2d] | Amapi | 2d |  |
[ami] | Amica Paint | ami [b] |  |
[iff] | Amiga IFF | iff blk | (1) |
[info] | Amiga icon | info |  |
[cpc] | Amstrad CPC screen |  |  |
[atk] | Andrew Toolkit raster object | atk |  |
[hdru] | Apollo HRDU | hdru hdr |  |
[arcib] | ArcInfo Binary | hdr |  |
[artdir] | Art Director | art |  |
[art] | Artisan | art |  |
[a64] | Artist 64 | a64 |  |
[aip] | Astronomical Image Processing |  |  |
[arn] | Astronomical Research Network | arn |  |
[aurora] | Aurora | sim |  |
[afx] | Auto F/X | afx |  |
[cadc] | Autocad CAD-Camera | img |  |
[fli] | Autodesk Animator | fli flc |  |
[skf] | Autodesk SKETCH thumbnail | sjf |  |
[skp] | Autodesk SketchUp component | skp |  |
[gm] | Autologic | gm gm2 gm4 |  |
[epa] | Award Bios Logo | epa |  |
[ssp] | Axialis screensaver | ssp |  |
[B3d] | B3D (images) | b3d |  |
[bfli] | BFLI | bfl bfli |  |
[bmf] | BMF | bmf |  | Only Windows, Plugin required
[byusir] | BYU SIR | sir |  |
[bfx] | Bfx Bitware | bfx |  |
[biorad] | Bio-Rad confocal | pic |  |
[pi] | Blazing Paddles | pi |  |
[bob] | Bob Ray-Tracer | bob |  |
[til] | Buttonz & Tilez texture | til |  |
[brk] | Brooktrout 301 | brk 301 brt |  |
[cals] | CALS Raster Goup 1 | cal cals |  |
[cdu] | CDU Paint | cdu |  |
[cmu] | CMU Window Manager | cmu |  |
[cp8] | CP8 256 gray scale | cp8 |  |
[crg] | Calamus picture | cpi crg |  |
[can] | Canon Navigator Fax | can |  |
[crw] | Canon PowerShot | crw |  |
[big] | Cartes Michelin | big |  |
[cam] | Casio QV-10/100 Camera | cam |  |
[cmt] | Chinon ES-1000 digital camera | cmt |  |
[cloe] | Cloe Ray-tracer | clo |  |
[rix] | colourIX | rix scx sc? |  |
[wlm] | CompW | wlm |  | Only Windows, Plugin required
[gif] | CompuServe GIF | gif giff |  |
[ce] | Computer Eyes, Digital Vision | ce |  |
[ce1] | Computer Eyes, Raw | ce1 ce2 |  |
[icd] | Core IDC | idc |  |
[cdr] | Corel Draw Bitmap (preview) | cdr |  |
[cpat] | Corel Draw Pattern (preview) | pat |  |
[cbmf] | Corel Flow | bmf |  |
[cmx] | Corel Metafile Exchange (preview) | cmx |  |
[cpt6] | Corel PhotoPaint 6.0 | cpt |  |
[cncd] | CoverDesigner | ncd |  |
[cnct] | CoverDesigner Template | nct |  |
[dbw] | DBW Render |  |  |
[map] | DIV Game Studio Map | map |  |
[fpg] | DIV Game Studio Multi Map | fpg |  |
[dkb] | DKB Ray-tracer | dis |  |
[dpx] | DPX | dpx |  |
[dali] | Dali raw | sd0 sd1 sd2 |  |
[dcpy] | Datacopy | img |  |
[degas] | Degas / Degas Elite | pi[1-6] pc[1-3] |  |
[lbm] | Deluxe Paint, Electronic Arts | lbm |  |
[dicom] | Dicom 3 | dcm |  |
[tdim] | Digital F/X | tdim graf |  |
[gem] | Digital Research (GEM Paint) | img |  |
[dcmp] | Discorp CMP Image | cmp |  |
[djvu] | DjVu | djvu djv iw4 |  | Only Windows, Plugin required
[doodle] | Doodle Atari | doo |  |
[dd] | Doodle C64 | dd |  |
[jj] | Doodle C64 Compressed | jj |  |
[cut] | Dr Halo | cut |  |
[drz] | Draz Paint | drz |  |
[fsh] | EA Sports FSH | fsh |  |
[eri] | ERI-chan (Entis Rasterized Image) | eri |  | Only Windows, Plugin required
[epi] | EPS Interchange Format | epi |  | Ghostscript Required, Available Below http://www.cs.wisc.edu/~ghost/
[esmp] | ESM Software Pix | pix |  |
[ecc] | Ecchi | ecc |  |
[tile] | Eclipse | tile |  |
[c4] | Edmics | c4 |  |
[eidi] | Electric Image | ei eidi |  |
[bmc] | Embroidery | bmc |  |
[eps] | Encapsulated Postscript (Preview) | eps |  |
[esm] | Enhance Simplex | esm |  |
[eif] | Eroiica | eif |  |
[ecw] | Enhanced Compressed Wavelet | ecw |  | Only Windows, Plugin required
[tdi] | Explore (TDI) & Maya | tdi iff |  |
[fif] | FIF | fif |  | Only Windows, Plugin required
[fit] | FIT | fit |  |
[fax] | Fax Group 3 | g3 fax |  |
[fmap] | Fenix Map | map |  |
[ffpg] | Fenix Multi Map | fpg |  |
[fi] | FlashImage | fi |  |
[fpx] | FlashPix | fpx |  | Only Windows, Plugin required
[fits] | Flexible Image Transport Systeme | fits fts fit |  |
[fbm] | Fuzzy Bitmap | fbm cbm |  |
[geo] | GeoPaint | geo |  |
[gfaray] | GFA Raytrace | sul |  |
[xcf] | Gimp Bitmap | xcf |  |
[gbr] | Gimp Brush | gbr |  |
[gicon] | Gimp Icon | ico |  |
[gpat] | Gimp Pattern | pat |  |
[god] | GoDot | 4bt clp |  |
[hf] | HF | hf |  |
[grob] | HP-48/49 Grob | gro grb |  |
[hru] | HRU | hru |  |
[hsi] | HSI Raw | raw |  |
[mdl] | Half-Life Model | mdl |  |
[jtf] | Hayes JTFax | jtf |  |
[hpi] | Hemera Photo Image | hpi |  |
[hta] | Hemera Thumbs | hta |  |
[m8] | Heretic II MipMap | m8 |  |
[hed] | Hi-Eddi | hed |  |
[hir] | Hires C64 | hir |  |
[lif] | HomeWorld Texture | lif |  |
[kps] | IBM Kips | kps |  |
[pseg] | IBM Printer Page Segment | pse |  |
[im5] | IM5 (Visilog) | im5 |  |
[imt] | IMNET Image | imt |  |
[ioca] | IOCA Image Object Content | ica |  |
[iss] | ISS | iss |  |
[icb] | Image Capture Board | icb |  |
[miff] | Image Magick | mif miff |  |
[ish] | Image Speeder | ish |  |
[cish] | Image System (Hires) | ish |  |
[cism] | Image System (Multicolour) | ism |  |
[rlc2] | Image Systems RLC2 Graphic | rlc2 |  |
[ilab] | ImageLab | b&w b_w |  |
[q3n] | Imaging Fax | g3n |  |
[imgt] | Imaging Technology | img |  |
[img] | Img Software Set | img |  |
[iim] | Inshape | iim |  |
[ciph] | InterPaint (Hires) | iph |  |
[cipt] | InterPaint (Multicolour) | ipt |  |
[ingr] | Intergraph Format | itg cit rle |  |
[ct] | Iris CT | ct |  |
[iris] | Iris | tile |  |
[iimg] | Interleaf | iimg |  |
[wic] | J Wavelet Image Codec | wic |  | Only Windows, Plugin required
[jbig] | Joint Bi-level Image experts Group | jbg jbig |  | Only Windows, Plugin required
[jpeg] | Joint Photographic Experts Group | jpg jpeg jif jfif J |  |
[jpc] | JPEG-2000 Code Stream | jpc |  | Only Windows, Plugin required
[jp2] | JPEG-2000 JP2 File Format | jp2 |  | Only Windows, Plugin required
[jls] | JPEG-ls | jls |  | Only Windows, Plugin required
[jif] | Jeff's Image Format | jif |  |
[vi] | Jovian VI | vi |  |
[jng] | Jpeg Network Graphics | jng |  | Only Windows, Plugin required
[btn] | JustButtons animated bitmap | btn |  |
[viff] | Khoros Visualization image file | vif viff xv |  |
[kskn] | Kinupix skin | skn |  |
[cel] | KiSS Cel | cel |  |
[koa] | Koala Paint | koa |  |
[gg] | Koala Paint Compressed | gg |  |
[cin] | Kodak Cineon | cin dpx |  |
[kdc] | Kodak DC120 Digital Camera | kdc |  |
[k25] | Kodak DC25 Camera | k25 |  |
[pcd] | Kodak Photo CD | pcd |  |
[kfx] | Kofax Group 4 | kfx |  |
[kqp] | Konica Camera File | kqp |  |
[lss] | LSS16 | 16 |  |
[lvp] | LView Pro | lvp |  |
[lda] | LaserData | lda |  |
[lwi] | Light Work Image | lwi |  |
[lff] | LucasFilm Format | lff |  |
[lcel] | Lumena CEL | cel |  |
[pzp] | MGI Photosuite Project | pzp |  |
[ldf] | LuraDocument Format | ldf |  | Only Windows, Plugin required
[lwf] | LuraWave Format | lwf |  | Only Windows, Plugin required
[lwfjpc] | LuraWave JPEG-2000 Code Stream | jpc |  | Only Windows, Plugin required
[lwfjp2] | LuraWave JPEG-2000 Format | jp2 |  | Only Windows, Plugin required
[mag] | MAKIchan graphics | mag |  |
[mgr] | MGR bitmap | mgr |  |
[] | MPEG 1 | mpg m1v mpa mpe mpeg |  | Only Windows
[mtv] | MTV Ray-tracer | mtv |  |
[mac] | Mac Paint | mac mpnt |  |
[pict] | Macintosh Quickdraw/Pict | pic pict pct |  |
[fff] | Maggi Hairstyles & Cosmetics | fff |  |
[fre] | Male MRI | fre |  |
[pd] | Male Normal CT | pd |  |
[mrf] | Marks Russel File | mrf |  |
[411] | Mavica | 411 |  |
[mtx] | Maw-Ware Textures | mtx |  |
[pdx] | Mayura Draw | pdx |  |
[bld] | MegaPaint | bld |  |
[frm] | Megalux Frame | frm |  |
[pbt] | Micro Dynamics MARS | pbt |  |
[mil] | Micro Illustrator Uncompressed | mil |  |
[pp4] | Micrografx Picture Publisher 4.0 | pp4 |  |
[pp5] | Micrografx Picture Publisher 5.0 | pp5 |  |
[msp] | Microsoft Paint | msp |  |
[eyes] | Microtek Eyestar | img |  |
[ipg] | Mindjongg Format | ipg |  |
[mkcf] | MonkeyCard | pdb |  |
[mklg] | MonkeyLogo | pdb |  |
[sid] | MrSid | sid |  | Only Windows, Plugin required
[msx2] | Msx 2 Screen | sc2 |  |
[mng] | Multiple Network Graphics | mng |  |
[ncr] | NCR Image | ncr |  |
[nist] | NIST Ihdr | pct |  |
[nitf] | National Imagery Transmission Format | nitf |  |
[car] | NeoBook Cartoon | car |  |
[neo] | Neochrome (ST & TT) | neo |  |
[nmp] | Neopaint Mask | nmp |  |
[stw] | Neopaint Stamp | stw |  |
[nef] | Nikon D1 digital camera | nef |  |
[ngg] | Nokia Group Graphics | ngg |  |
[nlm] | Nokia Logo File | nlm |  |
[otb] | Nokia OTA bitmap | otb |  |
[nol] | Nokia Operator Logo | nol |  |
[oaz] | OAZ Fax | oaz |  |
[os2] | OS/2 Bitmap | bmp bga | (1) 4 & 8 bits |
[ofx] | Olicom Fax | ofx |  |
[oil] | Open Image Library Format | oil |  |
[cft] | Optigraphics | cft |  |
[ttf] | Optigraphics Tiled | ttf |  |
[abs] | Optocat | abs |  |
[ohir] | Oric Hires | hir |  |
[otap] | Oric TAP | tap |  |
[bga] | OS/2 Warp | bga |  |
[pabx] | PABX background | pix |  |
[pic] | PC Paint / Pictor Page | pic clp |  |
[pco] | PCO | b16 |  |
[pm] | PM | pm |  |
[pwc] | PWC | pwc |  | Only Windows, Plugin required
[pcl] | Page Control Language | pcl |  |
[pmg] | Paint Magic | pmg |  |
[jbf] | PaintShopPro Browser Cache File | jbf |  |
[pfr] | PaintShopPro Frame | pfr |  |
[psp] | PaintShopPro Image | psp |  |
[pmsk] | PaintShopPro Mask | msk |  |
[pspp] | PaintShopPro Pattern | pat |  |
[tub] | PaintShopPro Picture Tube | tub |  |
[pspt] | PaintShopPro Texture | tex |  |
[palm] | Palm Pilot | pdb |  |
[pegs] | Pegs | pxa pxs |  |
[pfs] | Pfs Art Publisher | art |  |
[pdd] | Photo Deluxe | pdd pdb |  |
[fsy] | PhotoFantasy Image | fsy |  |
[frm] | PhotoFrame | frm |  |
[psf] | PhotoStudio File | psf |  |
[stm] | PhotoStudio Stamp | stm |  |
[cat] | Photomatrix | cat |  |
[p2] | Pict2 | p2 |  | Only Windows, Plugin required
[apx] | Photopaint Image | apx |  |
[p64] | Picasso 64 | p64 |  |
[prc] | Picture Gear Pocket | prc |  |
[pxr] | Pixar picture file | pic pxr picio pixar |  |
[pixp] | Pixel Power Collage | ib7 i17 i18 if9 |  |
[pxa] | Pixia | pxa |  |
[pixi] | Pixibox | pxb |  |
[pds] | Planetary Data System | pds img |  |
[bms] | Playback Bitmap Sequence | bms |  |
[2bp] | Pocket PC bitmap | 2bp |  |
[prf] | Polychrome Recursive Format | prf |  |
[pbm] | Portable Bitmap | pbm rpbm |  |
[pdf] | Portable Document Format | pdf |  | Ghostscript Requried, Available Below http://www.cs.wisc.edu/~ghost/
[pgm] | Portable Greyscale | pgm rpgm |  |
[ppm] | Portable Image | pnm rpnm |  |
[png] | Portable Network Graphics | png |  |
[ppm] | Portable Pixmap | ppm rppm |  |
[pgf] | Portfolio Graphics | pgf |  |
[pgc] | Portfolio Graphics Compressed | pgc |  |
[cvp] | Portrait | cvp |  |
[bum] | Poser Bump files | bum |  |
[ps] | Postscript | ps |  | Ghostscript Required, Available Below http://www.cs.wisc.edu/~ghost/
[pps] | PowerPoint (images) | pps |  |
[ppt] | PowerPoint Presentation (images) | ppt |  |
[prx] | Printfox/Pagefox | bs pg gb |  |
[prisms] | Prisms | pri |  |
[psion3] | Psion Series 3 | pic |  |
[psion5] | Psion Series 5 | mbm |  |
[ppp] | Punk Productions Picture | ppp |  |
[pzl] | Puzzle | pzl |  |
[q0] | Q0 | q0 |  |
[qdv] | Qdv (Random Dot Software) | qdv |  |
[qrt] | Qrt Ray-tracer | qrt |  |
[wal] | Quake Texture | wal |  |
[vpb] | Quantel VPB | vpb |  |
[qtif] | Quicktime Picture | qtif qti |  |
[mov] | Quicktime Movie | mov qt |  | Only Windows, QuickTime 5 required
[ript] | RIPTerm Image | icn |  |
[rad] | Radiance | rad img pic |  |
[rp] | Rainbow Painter | rp |  |
[raw] | Raw | raw gry grey |  |
[ray] | Rayshade | pic |  |
[rsb] | Red Storm File Format | rsb |  |
[j6i] | Ricoh Digital Camera | j6i |  |
[rfax] | Ricoh Fax | 001 |  |
[pig] | Ricoh IS30 | pig |  |
[rpm] | RunPaint (Multicolour) | rpm |  |
[st4] | SBIG CCD camera ST-4 | st4 |  |
[stx] | SBIG CCD camera ST-X | stx st4 st5 st6 st7 st8 |  |
[spot] | SPOT | dat |  |
[sar] | Saracen Paint | sar |  |
[sci] | SciFax | sci |  |
[sct] | SciTex Continuous Tone | sct sc |  |
[sfw] | Seattle Film Works | sfw |  |
[pwp] | Seattle Film Works multi-image | pwp |  |
[xp0] | SecretPhotos puzzle | xp0 |  |
[sj1] | Sega SJ-1 DIGIO | sj1 |  |
[gpb] | Sharp GPB | img |  |
[sgi] | Silicon Graphics RGB | rgb bw iris sgi | (1) |
[skn] | Skantek | skn |  |
[hrz] | Slow Scan Television | hrz |  |
[sdt] | SmartDraw 6 template | sdt |  |
[sfax] | Smartfax | 001 |  |
[pan] | SmoothMove Pan Viewer | pan |  |
[soft] | Softimage bitmap | pic si | (1) |
[sir] | Solitaire Image Recorder | sir |  |
[pmp] | Sony DSC-F1 Cyber-shot | pmp |  |
[tim] | Sony Playstation TIM PSX | tim |  |
[spu] | Spectrum 512 | spu |  |
[spc] | Spectrum 512 compressed | spc |  |
[sps] | Spectrum 512 smooshed | sps |  |
[ssi] | SriSun | ssi |  |
[stad] | Stad | pic pac seq |  |
[sdg] | Star Office Gallery | sdg |  |
[star] | Starbase | img |  |
[avs] | Stardent AVS X | x avs mbfs mbfavs |  |
[aip] | Starlight Xpress SX 500x291 RAW |  |  |
[jps] | Stereo Image | jps |  |
[sff] | Structured Fax Format | sff |  | Only Windows, Plugin required
[icon] | Sun Icon/Cursor | icon cursor pr |  |
[ras] | Sun Raster Images | ras rast sun sr scr rs |  |
[taac] | Sun TAAC file format | iff vff suniff taac |  |
[synu] | Synthetic Universe | synu syn |  |
[tg4] | TG4 | tg4 |  |
[ti] | TI-73/82/83/85/86/89/92 Bitmap | 73i 82i 83i 85i 86i 89i 92i |  |
[tiff] | TIFF Revision 6 | tif tim tiff | (1) (2) (3) |
[hr] | TRS 80 | hr |  |
[teal] | TealPaint | pdb |  |
[tnl] | Thumbnail | tnl |  |
[tiny] | Tiny | tny tn1 tn2 tn3 |  |
[gaf] | Total Annihilation | gaf |  |
[tga] | TrueVision Targa | tga pix bpx vda icb vst | (1) |
[upst] | Ulead Pattern | pst |  |
[upi] | Ulead PhotoImpact | upi |  |
[upe4] | Ulead Texture | pe4 |  |
[face] | Usenix FaceServer | fac face |  |
[rle] | Utah Raster image | rle |  |
[vit] | VITec | vit |  |
[wrl] | VRML 2 | wrl |  |
[vif] | Verity | vif |  |
[vicar] | Video Image Communication And Retrieval | vic vicar img |  |
[vid] | Vidcom 64 | vid |  |
[vda] | Video Display Adapter | vda |  |
[] | Video for windows | avi vfw |  | Only Windows
[vst] | Vista | vst |  |
[vivid] | Vivid Ray-tracer | img |  |
[vort] | Vort | pix |  |
[vob] | Vue d'Esprit | vob |  |
[wad] | WAD (Half life) | wad |  |
[iwc] | WaveL format | iwc |  | Only Windows, Plugin required
[rla] | Wavefront Raster file | rla rlb |  |
[wbc] | Webshots | wbc wbp wbz |  |
[ypc] | WhyPic | ypc |  | Only Windows, Plugin required
[fxs] | Winfax | fxs fxo |  |
[winm] | WinMIPS | pic |  |
[wmf] | Windows & Aldus Metafile | wmf |  | Only Windows
[ani] | Windows Animated Cursor | ani |  |
[bmp] | Windows Bitmap | bmp rle rl4 rl8 sys | (1) 4 & 8 bits |
[clp] | Windows Clipboard | clp |  |
[cur] | Windows Cursor | cur |  |
[dib] | Windows DIB | dib |  |
[emf] | Windows Enhanced Metafile | emf |  | Only Windows
[ico] | Windows Icon | ico |  |
[wbmp] | Wireless Bitmap (level 0) | wbmp wbm wap |  |
[wpg] | Word Perfect Graphics | wpg |  |
[xwd] | X Windows System window dump | xwd x11 |  |
[xbm] | X11 BitMap | xbm bm |  |
[xpm] | X11 PixMap | xpm pm |  |
[p7] | XV Visual Schnauzer | p7 |  |
[xar] | Xara (images) | xar |  |
[xif] | Xerox DIFF | xif |  |
[xim] | Xim file | xim |  |
[smp] | Xionics SMP | smp |  |
[uyvy] | YUV 16Bits | yuv qtl uyvy |  |
[uyvyi] | YUV 16Bits Interleaved | yuv qtl uyvy |  |
[yuv411] | YUV 4:1:1 | yuv qtl |  |
[yuv422] | YUV 4:2:2 | yuv qtl |  |
[yuv444] | YUV 4:4:4 | yuv qtl |  |
[zxhob] | ZX Spectrum Hobetta | $s $c !c |  |
[zxscr] | ZX Spectrum standard screen | scr |  |
[zxsna] | ZX Spectrum Snapshot | sna |  |
[zzrough] | ZZ Rough | rgh |  |
[zmf] | Zoner Callisto Metafile (preview) | zmf |  |
[zbr] | Zoner Zebra Metafile (preview) | zbr |  |
[pcx] | Zsoft Multi-page Paintbrush | dcx |  |
[dcx] | Zsoft Publisher's Paintbrush | pcx pcc dcx | (1) |
[bif] | byLight | bif |  |

Compression
(1)= | RLE
(2)= | LZW
(3)= | LZW + Prediction


XnView - Contact

Contact

Please feel free to send in your Comments, Questions or Suggestions, preferably in English or French. The External Link Newsgroups are ideal for your questions regarding XnView. There, you will find many questions and answers and not only the XnView developers but many other users will read your request and answer it.

Web: | External Link http://www.xnview.com
Download page: | External Link http://perso.wanadoo.fr/pierre.g/xnview/endownload.html
Newsgroups: | External Link http://newsgroup.xnview.com
E-Mail: | Mailadresse webmaster@xnview.com


XnView - Thank you

Thank you!

Many people helped me during the development of XnView. I want to thank you all very much!

Special Thanks:

Igor Alikin, Volker Wiens, Mohammad Deeb, Helmut Müller, Hans Olav Haugan, Denilson Figueiredo de Sá, Sören Gerlach

Translators of XnView:

German | Helmut Müller, Axel C. Burgbacher, Stephan Grossklass
Italian: | Armando R. La Mura, Alexandro F.Proietti
Russian : | Alexander Gorbylev, Igor Alikin
Spanish : | Jorge A. Montes Pérez
Swedish: | Olof Törnqvist, Mårten Mellberg
Estonian: | Ahti Kaskpeit
Dutch: | Theo Eering, Michiel Oosterhagen
Czech: | Petr Bohdan
Portuguese (Brazialian): | Paulo Neto
Portuguese: | António Eduardo Marques
Hungarian: | Jozsef Herczeg
Danish: | Allan Bergmann Jensen
Polish: | Sergiusz Klimkiewicz, Tomasz Fiszer
Greek: | Symeon Charalabides
Bulgarian: | Denis Ivajlov
Slovak: | Peter Cipov, Lucas Sivak
Japanese: | Yong Wei, Motomatsu Nobuhiro
Slovene: | Grega Fajdiga
Byelorussian: | Alexander Gorbylev
Arabic: | Mohammad Deeb
Ukrainian: | Taras Domansky
Chinese simplified: | Roy Yao, Alexander Yang
Chinese traditional: | Frank Liu, Alexander Yang
Romanian: | Ioan Russu
Korean: | Kim Wooyoung
Catalan: | Jesús Corrius
Finish: | Jouni Paulus
Norwegian: | Lasse Drageset, Lillian Solum
Galician: | Fernando Coello
Hebrew: | Eitan Gilboa
Thaï: | Thanachai Wachiraworakam
Croatian: | Josip Sinkovic
Afrikaans: | Samuel Murray
Lithuanian: | Linas Grinius
Turkish: | Ibrahim Kutluay
Serbian: | Nik Vukovljak
Vietnamese: | Ton, Quang Toai & Vo, Khanh Kim Van
Malaysian: | Ooi Ghee Tiong
Basque: | Axier Lopez
Icelandic: | Svanur Pálsson
Latvianh: | Aldis Priednieks

Graphic Designers:

Lionel Gischler, David Marchevet, Dominique Clément, Milan Pavuk, Lim Chee Aun, Robert Pix, Olivier Parisot, Cristian Vlad

Beta Testers:

Olivier Musset, Claude Charries, Roland Kletzing, Benoît Mirada, Jerome Quintard, Laurent Tourard, Marco Gomes, ...

Authors of the Online Help:

Claude Charries, Helmut Müller

Translators of the Online help:

English: | Jonathan Huckle
French: | Erwan Humbert
German: | Helmut Müller

Sample Images in Online Help:

Dias dos Reis

© 2003, 2004 Pierre E. Gougelet, Reims (Frankreich)


XnView - Key Combinations

Browser Mode
Function | Key Short-Cut
Close Browser | Ctrl+W
Print Selected Image(s) | Ctrl+P
Quit XnView | Ctrl+Q
Copy Image(s) to Clipboard | Ctrl+C
Copy Image name(s) to Clipboard | Ctrl+Shift+C
Copy Image from clipboard | Ctrl+V
Copy File(s) to another directory | Alt+C
Move File(s) to another directory | Alt+M
Delete File(s) | Del
Rename File | F2
File Description | Ctrl+D
File Properties | Ctrl+E
View Refresh | Shift+R
Quick Refresh | Ctrl+R
Cancel current action | Esc
Open Image(s) | Ctrl+O
Open Image(s) in Hex Mode | Ctrl+H
Slide-Show | Ctrl+L
Multiple Convert | Ctrl+U
Build Web page | Ctrl+G
Sequence Convert | Ctrl+N

Image View Mode
Function | Key Short-Cut
Show previous image | Page Up
Show next image | Page Down
Show first image | Pos1
Show last image | End
Show previous frame | Shift+Page Up
Show next frame | Shift+Page Down
Scroll image | Cursor keys
Open | Ctrl+O
View in Hex | Ctrl+H
Browser | Ctrl+B
Reopen | Ctrl+R
Close | Ctrl+W
Save | Ctrl+S
Print | Ctrl+P
Quit | Strg+Q
Undo | Ctrl+Z
Cut | Ctrl+X
Copy | Ctrl+C, Ctrl+Ins
Crop | Ctrl+Y
Import Clipboard | Ctrl+V, Shift+Ins
Select All | Ctrl+A
Copy to | Alt+C
Move to | Alt+M
Delete | Del
Rename | F2
Describe | Ctrl+D
Properties | Ctrl+E
Edit IPTC | Ctrl+I
Edit colourmap | Ctrl+M
Resize | Shift+S
Rotate -90 | Shift+L
Rotate +90 | Shift+R
Vertical Flip | Shift+V
Horizontal Flip | Shift+H
Brightness/Contrast/... | Shift+E
Full Screen | Ctrl+F
Zoom + | +
Zoom - | -
Original Size | *
Show Mask | M
Toolbar | Ctrl+Shift+T
Status bar | Ctrl+Shift+S
Show colour Information | Ctrl+Shift+I
Previous File | PgDown
Next File | PgUp
First File | Home
Last File | End
Previous Page | Shift+PgDown
Next Page | Shift+PgUp
First Page | Shift+Home
Last Page | Shift+End
Slide Show | Ctrl+L
Multiple Convert | Ctrl+U
Sequence Convert | Ctrl+N

Tip:

All the key combinations valid in the Image View mode, can also be used in Slide shows and Full screen mode.


XnView - Hints About HTML Image Maps

Hints About HTML Image Maps

With image maps you can have web pages with images, which have clickable areas on them, so called Hot spots with links to other documents. Image maps are easy to create and apply and in specific scenarios they have advantages to tables and web pages with frames. To create valid and working image maps, you have to consider various things.

How To Build Valid Image Maps:
  • Store the image you want to use for the image map in the GIF, PNG, or BMP format. Make sure that the image is stored with 256 colours, otherwise the image will not work as image map and will be just displayed as any other image. (Please note that the BMP format should be avoided because of the file size or only used for small images.)
  • The image must contain exactly 16 colours in the colour palette, even if the image was saved in a colour mode with more colours.
  • Please note, that especially older browsers, e.g. all Netscape browser prior to Version 4.7, do not support the PNG format.
  • Animated GIFs can also be used for image maps.

HTML Addendum: A very good free multilingual HTML editor is the External Link HTML Editor Phase 5 by Ulli Meybohm.


XnView and Total Commander

Here is a description of how XnView is integrated into Total Commander as a file viewer.

The file manager External Link Total Commander supports XnView as an Add-On. This is done by configuring Total Commander to use XnView as the viewer for graphic files.

How To Configure XnView in Total Commander Version 6.0 as an External File Browser:

  1. Start Total Commander
  2. Select the menu Options [image] Configure... to open the Configuration dialog
  3. In the Configuration dialog select the category Operation [image] Edit/View.
  4. Select the button Configure Internal Viewer... to open the dialog Configure Lister.
  5. Select the option Use IrfanView/XnView to view graphics other than BMP.
  6. In the Path field, enter the full path name of the XnView program. Typically this is C:\Program Files\XnView\xnview.exe
    Total Commander, Dialog "Configure Lister"
  7. Confirm this option by pressing the OK button.

The next time you use the F3 function key to display graphics, XnView will be started and show the image.

Hints:
  • The image formats *.BMP, *.WMF and *.ICO (32 x 32 pixel, 16 and 256 colours) can output directly to Total Commander using the internal file browser. XnView does not need to be used as an external file browser for these formats.
  • XnView works in Total Commander for Windows® 9x, NT 4.0, 2000, XP, and ME.
  • For Windows 3.1® with Win32s, XnView works with Total Commander 16 bit. Currently only the JPG format is supported in Windows 3.1 ®. It is planned to incorporate the GIF or PNG formats in future releases.
  • Due to technical restriction, only one frame can be displayed for animated GIF files.